channels.restrictSponsoredMessages
Disable ads on the specified channel, for all users. Available only after reaching at least the boost level » specified in the channel_restrict_sponsored_level_min » config parameter.
Authorization
bearerAuth In: header
Path Parameters
Workspace ID
Telegram account ID
Request Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Disable ads on the specified channel, for all users. Available only after reaching at least the boost level » specified in the channel_restrict_sponsored_level_min » config parameter.
Response Body
application/json
application/json
curl -X POST "https://example.com/workspaces/string/telegram-accounts/string/call/channels.restrictSponsoredMessages" \ -H "Content-Type: application/json" \ -d '{ "params": { "channel": { "_": "inputChannelEmpty" }, "restricted": true } }'{ "result": { "_": "updatesTooLong" }}reportSpam
Reports some messages from a user in a supergroup as spam; requires administrator rights in the supergroup
searchPosts
Globally search for posts from public [channels »](https://core.telegram.org/api/channel) (including those we aren't a member of) containing either a specific hashtag, or a full text query. Exactly one of query and hashtag must be set.